Debian Bug report logs - #373253
"libgcc_s.so.1 on AMD64 and PowerPC should be provided

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Davide Viti <zinosat@tiscali.it>

Date: Tue, 13 Jun 2006 22:33:01 UTC

Severity: important

Tags: d-i, patch, wontfix

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#373253; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: submit@bugs.debian.org
Subject: [g-i] crash if switch to VT2 on AMD64
Date: Wed, 14 Jun 2006 01:55:38 +0200
[Message part 1 (text/plain, inline)]
Package: cdebconf-gtk-udeb
Version: 0.102
Tags: d-i


when switching to VT2 (CTRL-ALT-F2) the frontend crashes;
this is known to happen on AMD64 only.
A similar bug (#339379) was fixed a while ago on i3386;
on AMD64 the crash happens also if the frontend is not busy
when the switch happens.

This was discussed on debian-boot:
http://lists.debian.org/debian-boot/2006/02/msg00246.html

ATM there's no way to use a shell on AMD64 with the graphical
installer (see also #339855).

regards,
Davide
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#373253; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <fiandro@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <fiandro@tiscali.it>
To: Denis Oliver Kropp <dok@directfb.org>
Cc: directfb-dev <directfb-dev@directfb.org>, 373253@bugs.debian.org
Subject: Re: [directfb-dev] Crash at VT switch on AMD64 in the graphical debian-installer
Date: Tue, 29 Aug 2006 12:16:15 +0200
Denis Oliver Kropp wrote:
> Attilio Fiandrotti wrote:
> 
>> Hi
>>
>> we've received more reports about crashes happening at VT switch on 
>> AMD64, and this reminds me about the old problem reated to the VT 
>> switching code: has any progress been made on this ?
> 
> 
> No, but I want to switch to 64bit on my AMD64 soon. I'll be facing
> the problem every day so it should get fixed :)

great! the g-i will be presumably available for i386, ppc and AMD64, and 
this bug was the most severe encountered on AMD64 platforms.
We also received many bugreports about GTKDFB crashing on PPC platforms 
(bot reports were about DFB 0.9.22 and GTKDFB 2.0.9 and nobody did 
further tests with more recent libraries): if someone is interested in 
looking at those bugs, here [1] is a summary of the problems encountered.

chreers

Attilio

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=342053



Severity set to `important' from `normal' Request was from Attilio Fiandrotti <fiandro@tiscali.it> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `cdebconf-gtk-udeb' to `directfb'. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #19 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: 373253@bugs.debian.org
Subject: Bug found also in DFB 0.9.25
Date: Tue, 03 Oct 2006 10:51:05 +0200
Hi

this bug was found [1][2] by two different AMD64 testers also in an 
image dated Oct 2, 2006 , which contains DirectFB 0.9.25.
The good news is that everything else works exactly as i386 :)

cheers

Attilio

[1] http://lists.debian.org/debian-italian/2006/10/msg00025.html
[2] http://lists.debian.org/debian-italian/2006/10/msg00026.html



Merged 373253 396520. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 373253 396520 399837. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #28 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: 373253@bugs.debian.org
Cc: SmartList <debian-boot@lists.debian.org>, directfb-dev <directfb-dev@directfb.org>
Subject: Cause of g-i crashing on AMD64 at VT switch found
Date: Fri, 24 Nov 2006 15:01:49 +0100
Hi

i recently put my hands on an AMD64 machine, so i had the chance to run 
the installer from a chroot and i noticed that the crash produces this log

libgcc_s.so.1 must be installed for pthread_cancel to work
(!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
libgcc_s.so.1 must be installed for pthread_cancel to work
Aborted

adding this library (and full libc) to the chroot prevents the crash.

Try this by yourself

- boot an amd64 image with DEBIAN_FRONTEND=newt
- proceed with installation process until full libc6 is unpacked
- wget libgcc_s.so.1 into the installer
- export DEBIAN_FRONTEND=gtk
- debian-installer

now you should be able to chvt without crashing anymore.

Cc'ing debian-boot and directfb-dev (dok, it looks like it's not your 
cross to bear! :)

Attilio

ps

thanks to gg and fog who kindly provided the AMD64 testing machine!



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Denis Oliver Kropp <dok@directfb.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #33 received at 373253@bugs.debian.org (full text, mbox):

From: Denis Oliver Kropp <dok@directfb.org>
To: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
Cc: 373253@bugs.debian.org, SmartList <debian-boot@lists.debian.org>, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Fri, 24 Nov 2006 15:08:04 +0100
Attilio Fiandrotti wrote:
> Hi
> 
> i recently put my hands on an AMD64 machine, so i had the chance to run 
> the installer from a chroot and i noticed that the crash produces this log
> 
> libgcc_s.so.1 must be installed for pthread_cancel to work
> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
> libgcc_s.so.1 must be installed for pthread_cancel to work
> Aborted
> 
> adding this library (and full libc) to the chroot prevents the crash.

Good news!

Is it ok to include the library or should the input driver be changed
to not use pthread_cancel()?

-- 
Best regards,
  Denis Oliver Kropp

.------------------------------------------.
| DirectFB - Hardware accelerated graphics |
| http://www.directfb.org/                 |
'------------------------------------------'



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #38 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
Cc: 373253@bugs.debian.org, SmartList <debian-boot@lists.debian.org>, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Fri, 24 Nov 2006 15:13:50 +0100
Denis Oliver Kropp wrote:
> Attilio Fiandrotti wrote:
> 
>> Hi
>>
>> i recently put my hands on an AMD64 machine, so i had the chance to 
>> run the installer from a chroot and i noticed that the crash produces 
>> this log
>>
>> libgcc_s.so.1 must be installed for pthread_cancel to work
>> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
>> libgcc_s.so.1 must be installed for pthread_cancel to work
>> Aborted
>>
>> adding this library (and full libc) to the chroot prevents the crash.
> 
> 
> Good news!
> 
> Is it ok to include the library or should the input driver be changed
> to not use pthread_cancel()?
> 

I don't know what's the best option, let's see what d-i people think 
about this (better keeping directfb-dev cc'ed).

cheers

attilio



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #43 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: Jérôme Marant <jerome@marant.org>
Cc: debian-boot@lists.debian.org, 373253@bugs.debian.org
Subject: Re: Cause of g-i crashing on AMD64 at VT switch found
Date: Sat, 25 Nov 2006 11:45:47 +0100
Jérôme Marant wrote:
> Le vendredi 24 novembre 2006 15:01, Attilio Fiandrotti a écrit :
> 
>>Hi
>>
>>i recently put my hands on an AMD64 machine, so i had the chance to run 
>>the installer from a chroot and i noticed that the crash produces this log
>>
>>libgcc_s.so.1 must be installed for pthread_cancel to work
>>(!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
>>libgcc_s.so.1 must be installed for pthread_cancel to work
>>Aborted
>>
>>adding this library (and full libc) to the chroot prevents the crash.
>>
>>Try this by yourself
>>
>>- boot an amd64 image with DEBIAN_FRONTEND=newt
>>- proceed with installation process until full libc6 is unpacked
>>- wget libgcc_s.so.1 into the installer
>>- export DEBIAN_FRONTEND=gtk
>>- debian-installer
>>
>>now you should be able to chvt without crashing anymore.
> 
> 
> Thanks for finding this bug!
> 
> I didn't know that you could change the frontend on the fly.
> So you interrupted it right after installing the libc and
> restarted after changing the frontend?
> 

I think this starts two main-menu instances in parallel, but one could 
set global the DEBIAN_FRONTEND variable and then kill mainmenu (wrapped) 
to see if it's possible having one single main-menu instance running.

cheers and thanks for all your efforts in debugging this :)

Attilio



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Jérôme Marant <jerome@marant.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #48 received at 373253@bugs.debian.org (full text, mbox):

From: Jérôme Marant <jerome@marant.org>
To: debian-boot@lists.debian.org
Cc: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>, 373253@bugs.debian.org
Subject: Re: Cause of g-i crashing on AMD64 at VT switch found
Date: Sat, 25 Nov 2006 11:31:35 +0100
Le vendredi 24 novembre 2006 15:01, Attilio Fiandrotti a écrit :
> Hi
> 
> i recently put my hands on an AMD64 machine, so i had the chance to run 
> the installer from a chroot and i noticed that the crash produces this log
> 
> libgcc_s.so.1 must be installed for pthread_cancel to work
> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
> libgcc_s.so.1 must be installed for pthread_cancel to work
> Aborted
> 
> adding this library (and full libc) to the chroot prevents the crash.
> 
> Try this by yourself
> 
> - boot an amd64 image with DEBIAN_FRONTEND=newt
> - proceed with installation process until full libc6 is unpacked
> - wget libgcc_s.so.1 into the installer
> - export DEBIAN_FRONTEND=gtk
> - debian-installer
> 
> now you should be able to chvt without crashing anymore.

Thanks for finding this bug!

I didn't know that you could change the frontend on the fly.
So you interrupted it right after installing the libc and
restarted after changing the frontend?

-- 
Jérôme Marant



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #53 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: 373253@bugs.debian.org
Cc: SmartList <debian-boot@lists.debian.org>
Subject: Re: Cause of g-i crashing on AMD64 at VT switch found
Date: Tue, 28 Nov 2006 12:42:03 +0100
Attilio Fiandrotti wrote:
> Hi
> 
> i recently put my hands on an AMD64 machine, so i had the chance to run 
> the installer from a chroot and i noticed that the crash produces this log
> 
> libgcc_s.so.1 must be installed for pthread_cancel to work
> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
> libgcc_s.so.1 must be installed for pthread_cancel to work
> Aborted
> 
> adding this library (and full libc) to the chroot prevents the crash.

Yesterday i tried to dig a bit some more in this issue, but i had no luck.
It looks like libgcc is needed on AMD64 only, on i386 i culd not find 
this library in the ISO, and i wonder why AMD64 differs from i386.
I haven't the skills to solve this issue, so if no one comes at rescue 
i'll ask d-gcc guys, who maintain libgcc.

cheers

Attilio





Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #58 received at 373253@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
Cc: 373253@bugs.debian.org, SmartList <debian-boot@lists.debian.org>
Subject: Re: Cause of g-i crashing on AMD64 at VT switch found
Date: Tue, 28 Nov 2006 23:00:15 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 28, 2006 at 12:42:03PM +0100, Attilio Fiandrotti wrote:
> Yesterday i tried to dig a bit some more in this issue, but i had no luck.
> It looks like libgcc is needed on AMD64 only, on i386 i culd not find 
> this library in the ISO, and i wonder why AMD64 differs from i386.
> I haven't the skills to solve this issue, so if no one comes at rescue 
> i'll ask d-gcc guys, who maintain libgcc.

googling a bit shows that many ppl reported problems related to pthread_cancel()

See for example:

#360933
#294322
http://lists.debian.org/debian-amd64/2004/10/msg00046.html

just looking for "libgcc_s.so.1 must be installed for pthread_cancel to work"
brings up a lot of messages

regards,
Davide
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #63 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: 373253@bugs.debian.org
Cc: SmartList <debian-boot@lists.debian.org>
Subject: Re: Bug#400579: Please apply this patch to DirectFB 0.9.25
Date: Wed, 29 Nov 2006 01:04:50 +0100
Guillem Jover wrote:

<snip/>

>>If not, would you mind waiting a few days still so that i can build an
>>experimental iso, ask testers and, if everything is ok, send you the
>>revised patch?
> 
> 
> Sure, I was planning to take the one from CVS, but if you can do
> testing and any additional fixing required that'd be great as well!

ok, tomorrow i'll build a new iso containing ville's updated patch and 
ask users for a new round of tests looking for regressions and improvments.
Since we may also need to patch DirectFB to fix the crash at VT switch 
on AMD64, waiting some days might save one directfb upload.

cheers

Attilio



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #68 received at 373253@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: directfb-dev <directfb-dev@directfb.org>
Cc: 373253@bugs.debian.org, directfb@packages.debian.org
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Wed, 29 Nov 2006 16:30:29 +0100
[Message part 1 (text/plain, inline)]
Hi Denis,

On Wednesday 29 November 2006 15:47, Attilio Fiandrotti wrote:
> Last night, talking with Frans Pop and Kurt Roeckx, it turned out that
> including correct libraries may be a bit complicated right now, and
> possibly we could not make it in time for Etch.
> So, i was asked to investigate about the possibility to remove
> pthread_cancel() calls from DirectFB code: dok, do you believe that's
> possible / easy to do?

I have just found a relatively simple (but not very clean) hack in the d-i 
build system that would allow us to include the libgcc_s library in gtk 
images for amd64 and that does solve the VT switching problems.

Proper solutions require changes in non-d-i packages (creating a new udeb) 
that I doubt is realistic so short before the release of Etch. Especially 
as gcc one of the already frozen basic toolchain packages.

However, as the solution is a hack, I'd prefer to avoid it. As you offered 
the option to take out the pthread_cancel() calls yourself, I assume that 
that is a realistic alternative.

So I'd like to put the ball in your court.
If removing the pthread_cancel() calls from directfb is not too invasive 
and does not cause any real regressions or coding problems, we'd 
appreciate if you could provide a patch for that (although I guess that 
also has packaging implications as it may cause an ABI change, so we need 
to discuss this with the Debian directfb maintainer too).
If you'd prefer to leave the pthread_cancel() calls in, we can implement 
for Etch the hack that includes the libgcc_s library in g-i images for 
amd64 and work on a more structural solution after the release.

For d-i people...
The hack consists of adding a build dependency on libgcc1 for amd64 and 
adding a line 'EXTRAFILES = /lib/libgcc_s.so.1' (and a comment explaining 
the ugly hack) in the following files:
installer/build/config/amd64/gtk-miniiso.cfg
installer/build/config/amd64/cdrom/gtk.cfg
installer/build/config/amd64/hd-media/gtk.cfg

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #73 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: 373253@bugs.debian.org
Cc: SmartList <debian-boot@lists.debian.org>, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Wed, 29 Nov 2006 15:47:31 +0100
Denis Oliver Kropp wrote:
> Attilio Fiandrotti wrote:
> 
>> Hi
>>
>> i recently put my hands on an AMD64 machine, so i had the chance to 
>> run the installer from a chroot and i noticed that the crash produces 
>> this log
>>
>> libgcc_s.so.1 must be installed for pthread_cancel to work
>> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
>> libgcc_s.so.1 must be installed for pthread_cancel to work
>> Aborted
>>
>> adding this library (and full libc) to the chroot prevents the crash.
> 
> 
> Good news!
> 
> Is it ok to include the library or should the input driver be changed
> to not use pthread_cancel()?
> 

Last night, talking with Frans Pop and Kurt Roeckx, it turned out that
including correct libraries may be a bit complicated right now, and 
possibly we could not make it in time for Etch.
So, i was asked to investigate about the possibility to remove
pthread_cancel() calls from DirectFB code: dok, do you believe that's 
possible / easy to do?

thanks

Attilio



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Denis Oliver Kropp <dok@directfb.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #78 received at 373253@bugs.debian.org (full text, mbox):

From: Denis Oliver Kropp <dok@directfb.org>
To: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
Cc: 373253@bugs.debian.org, SmartList <debian-boot@lists.debian.org>, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Wed, 29 Nov 2006 21:40:33 +0100
Attilio Fiandrotti schrieb:
> Denis Oliver Kropp wrote:
>> Attilio Fiandrotti wrote:
>>
>>> Hi
>>>
>>> i recently put my hands on an AMD64 machine, so i had the chance to 
>>> run the installer from a chroot and i noticed that the crash produces 
>>> this log
>>>
>>> libgcc_s.so.1 must be installed for pthread_cancel to work
>>> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
>>> libgcc_s.so.1 must be installed for pthread_cancel to work
>>> Aborted
>>>
>>> adding this library (and full libc) to the chroot prevents the crash.
>>
>> Good news!
>>
>> Is it ok to include the library or should the input driver be changed
>> to not use pthread_cancel()?
>>
> 
> Last night, talking with Frans Pop and Kurt Roeckx, it turned out that
> including correct libraries may be a bit complicated right now, and 
> possibly we could not make it in time for Etch.
> So, i was asked to investigate about the possibility to remove
> pthread_cancel() calls from DirectFB code: dok, do you believe that's 
> possible / easy to do?

Should be possible with minor effort. pthread_cancel() is evil anyways.

-- 
Best regards,
  Denis Oliver Kropp

.------------------------------------------.
| DirectFB - Hardware accelerated graphics |
| http://www.directfb.org/                 |
"------------------------------------------"



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #83 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: Denis Oliver Kropp <dok@directfb.org>
Cc: 373253@bugs.debian.org, SmartList <debian-boot@lists.debian.org>, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Wed, 29 Nov 2006 23:25:10 +0100
Denis Oliver Kropp wrote:
> Attilio Fiandrotti schrieb:
> 
>> Denis Oliver Kropp wrote:
>>
>>> Attilio Fiandrotti wrote:
>>>
>>>> Hi
>>>>
>>>> i recently put my hands on an AMD64 machine, so i had the chance to 
>>>> run the installer from a chroot and i noticed that the crash 
>>>> produces this log
>>>>
>>>> libgcc_s.so.1 must be installed for pthread_cancel to work
>>>> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
>>>> libgcc_s.so.1 must be installed for pthread_cancel to work
>>>> Aborted
>>>>
>>>> adding this library (and full libc) to the chroot prevents the crash.
>>>
>>>
>>> Good news!
>>>
>>> Is it ok to include the library or should the input driver be changed
>>> to not use pthread_cancel()?
>>>
>>
>> Last night, talking with Frans Pop and Kurt Roeckx, it turned out that
>> including correct libraries may be a bit complicated right now, and 
>> possibly we could not make it in time for Etch.
>> So, i was asked to investigate about the possibility to remove
>> pthread_cancel() calls from DirectFB code: dok, do you believe that's 
>> possible / easy to do?
> 
> 
> Should be possible with minor effort. pthread_cancel() is evil anyways.
> 

Dok, we would really really apreciate if you could provide us ASAP the 
patch: we're now kind of running out of time as Etch release date gets 
closer every day.
I'll build an experimental ISO image with your patch and ask people to 
test it to catch possible issues coming from the patch.

thanks

Attilio



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Denis Oliver Kropp <dok@directfb.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #88 received at 373253@bugs.debian.org (full text, mbox):

From: Denis Oliver Kropp <dok@directfb.org>
To: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
Cc: 373253@bugs.debian.org, SmartList <debian-boot@lists.debian.org>, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Wed, 29 Nov 2006 23:26:58 +0100
Attilio Fiandrotti schrieb:
> Denis Oliver Kropp wrote:
>> Should be possible with minor effort. pthread_cancel() is evil anyways.
>>
> 
> Dok, we would really really apreciate if you could provide us ASAP the 
> patch: we're now kind of running out of time as Etch release date gets 
> closer every day.
> I'll build an experimental ISO image with your patch and ask people to 
> test it to catch possible issues coming from the patch.

Working on it now.

-- 
Best regards,
  Denis Oliver Kropp

.------------------------------------------.
| DirectFB - Hardware accelerated graphics |
| http://www.directfb.org/                 |
"------------------------------------------"



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #93 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: directfb-dev <directfb-dev@directfb.org>
Cc: 373253@bugs.debian.org, SmartList <debian-boot@lists.debian.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Mon, 04 Dec 2006 22:37:13 +0100
Denis Oliver Kropp wrote:
> Claudio Ciccani schrieb:
> 
>> Denis Oliver Kropp wrote:
>>
>>> Claudio Ciccani schrieb:
>>>
>>>> Denis Oliver Kropp wrote:
>>>>
>>>>> But pthread_cancel() also terminates the thread at mutex_lock for
>>>>> example which would be bad if a lock is already taken. I'd prefer
>>>>> having well chosen voluntary exit points.
>>>>>
>>>> That can be avoided by using a similar procedure:
>>>>
>>>> pthread_setcancelstate(PTHREAD_CANEL_DISABLE)
>>>> //
>>>> // safe calls ...
>>>> //
>>>> pthread_setcancelstate(PTHREAD_CANCEL_ENABLE)
>>>> // process pending cancelations
>>>> pthread_testcancel()
>>>>
>>>>
>>>> According to me, the problems you are encountering suggest that
>>>> pthread_cancel() should not be removed.
>>>
>>> The DI guys prefer to not add a needed extra library (on AMD64), but
>>> replace those calls.
>>>
>>
>> But an ordinary system have that library installed!
>> We could provide a patch for Debian, but we should not change DirectFB
>> main code accoring to me.
> 
> 
> That's what I thought :)
> 
> But your suggestions to guard the code outside the blocking read()
> by disabling (or better defering) cancelation are good.

IIUC pthread_cancel() is revealing difficult to be replaced: should we 
proceed adding libgcc1 to d-i, hence leaving you DFB guys all the time 
you needed to implement an appropriate replacement for that call?

cheers

Attilio



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Denis Oliver Kropp <dok@directfb.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #98 received at 373253@bugs.debian.org (full text, mbox):

From: Denis Oliver Kropp <dok@directfb.org>
To: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
Cc: directfb-dev <directfb-dev@directfb.org>, SmartList <debian-boot@lists.debian.org>, 373253@bugs.debian.org
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Mon, 04 Dec 2006 23:55:43 +0100
Attilio Fiandrotti schrieb:
> IIUC pthread_cancel() is revealing difficult to be replaced: should we 
> proceed adding libgcc1 to d-i, hence leaving you DFB guys all the time 
> you needed to implement an appropriate replacement for that call?

I can make quick hackish workarounds for selected drivers now, but
if adding the library is still possible, I'd do that.

-- 
Best regards,
  Denis Oliver Kropp

.------------------------------------------.
| DirectFB - Hardware accelerated graphics |
| http://www.directfb.org/                 |
"------------------------------------------"



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #103 received at 373253@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 373253@bugs.debian.org
Cc: directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Tue, 05 Dec 2006 00:17:49 +0100
[Message part 1 (text/plain, inline)]
On Monday 04 December 2006 23:55, Denis Oliver Kropp wrote:
> Attilio Fiandrotti schrieb:
> > IIUC pthread_cancel() is revealing difficult to be replaced: should
> > we proceed adding libgcc1 to d-i, hence leaving you DFB guys all the
> > time you needed to implement an appropriate replacement for that
> > call?
>
> I can make quick hackish workarounds for selected drivers now, but
> if adding the library is still possible, I'd do that.

Stated like that I think I prefer my hackish workaround in our build 
system over your hackish patches :-)
Will implement now.

You do still intend to remove the pthread_cancel() calls in the not to 
distant future though?

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Denis Oliver Kropp <dok@directfb.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #108 received at 373253@bugs.debian.org (full text, mbox):

From: Denis Oliver Kropp <dok@directfb.org>
To: Frans Pop <elendil@planet.nl>
Cc: 373253@bugs.debian.org, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Tue, 05 Dec 2006 00:32:04 +0100
Frans Pop schrieb:
> On Monday 04 December 2006 23:55, Denis Oliver Kropp wrote:
>> Attilio Fiandrotti schrieb:
>>> IIUC pthread_cancel() is revealing difficult to be replaced: should
>>> we proceed adding libgcc1 to d-i, hence leaving you DFB guys all the
>>> time you needed to implement an appropriate replacement for that
>>> call?
>> I can make quick hackish workarounds for selected drivers now, but
>> if adding the library is still possible, I'd do that.
> 
> Stated like that I think I prefer my hackish workaround in our build 
> system over your hackish patches :-)
> Will implement now.
> 
> You do still intend to remove the pthread_cancel() calls in the not to 
> distant future though?

No, it would have been a patch only for you :)

-- 
Best regards,
  Denis Oliver Kropp

.------------------------------------------.
| DirectFB - Hardware accelerated graphics |
| http://www.directfb.org/                 |
"------------------------------------------"



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to "Mike Emmel" <mike.emmel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #113 received at 373253@bugs.debian.org (full text, mbox):

From: "Mike Emmel" <mike.emmel@gmail.com>
To: "Denis Oliver Kropp" <dok@directfb.org>
Cc: "Frans Pop" <elendil@planet.nl>, 373253@bugs.debian.org, directfb-dev <directfb-dev@directfb.org>
Subject: Re: [directfb-dev] Cause of g-i crashing on AMD64 at VT switch found
Date: Tue, 5 Dec 2006 13:07:01 -0800
In general your going to run into problems with other software
packages if something basic
like pthreads cancel is broken. I'd push back on the glibc upstream to
get this to work correctly with a glibc install.

On 12/4/06, Denis Oliver Kropp <dok@directfb.org> wrote:
> Frans Pop schrieb:
> > On Monday 04 December 2006 23:55, Denis Oliver Kropp wrote:
> >> Attilio Fiandrotti schrieb:
> >>> IIUC pthread_cancel() is revealing difficult to be replaced: should
> >>> we proceed adding libgcc1 to d-i, hence leaving you DFB guys all the
> >>> time you needed to implement an appropriate replacement for that
> >>> call?
> >> I can make quick hackish workarounds for selected drivers now, but
> >> if adding the library is still possible, I'd do that.
> >
> > Stated like that I think I prefer my hackish workaround in our build
> > system over your hackish patches :-)
> > Will implement now.
> >
> > You do still intend to remove the pthread_cancel() calls in the not to
> > distant future though?
>
> No, it would have been a patch only for you :)
>
> --
> Best regards,
>    Denis Oliver Kropp
>
> .------------------------------------------.
> | DirectFB - Hardware accelerated graphics |
> | http://www.directfb.org/                 |
> "------------------------------------------"
>
> _______________________________________________
> directfb-dev mailing list
> directfb-dev@directfb.org
> http://mail.directfb.org/cgi-bin/mailman/listinfo/directfb-dev
>



Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package directfb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #118 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: control@bugs.debian.org, 373253@bugs.debian.org
Subject: Reassigning bugs related to crash at VT switching on AMD64
Date: Thu, 07 Dec 2006 17:13:47 +0100
reassign 373253 libdirectfb-0.9-25-udeb
tags 373253 + patch
thanks

Since this crash is due to libgcc1 not present in d-i, while on a 
regular debian system it is and the crash does not occurs, i'm 
reassigning this bug to the udeb version of libdirectfb.
As a patch we're going to provide libgcc1 via the EXTRAFILES option in 
the d-i.

Attilio



Bug reassigned from package `directfb' to `libdirectfb-0.9-25-udeb'. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package libdirectfb-0.9-25-udeb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #127 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: control@bugs.debian.org, 373253@bugs.debian.org
Subject: Reassigning bugs related to DirectFB crashing on some hardware
Date: Thu, 07 Dec 2006 17:24:16 +0100
unmerge 401681
unmerge 400898
reassign 394401 rootskel
merge 394401 401685
reassign 400898 rootskel
merge 400898 401681
thanks

Unmerging 401681 (crash due to undeterministic fb0/1 swap) from 401685 
(crash due unsupported hardware by vesafb).

Mering 394401 and 401685 because of their affinity.
Mering 400898 and 401681 because of their affinity.

All the bugs rmeoved from DirectFB package were due to something else 
than DirectFB broken.

Attilio




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Davide Viti <zinosat@tiscali.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #132 received at 373253-done@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>, 373253-done@bugs.debian.org
Subject: Re: Bug#373253: Cause of g-i crashing on AMD64 at VT switch found
Date: Wed, 12 Dec 2007 04:44:35 +0200
Hi,

On Fri, 2006-11-24 at 15:01:49 +0100, Attilio Fiandrotti wrote:
> i recently put my hands on an AMD64 machine, so i had the chance to run the
> installer from a chroot and i noticed that the crash produces this log
>
> libgcc_s.so.1 must be installed for pthread_cancel to work
> (!) [ 5905:    0.000] --> Caught signal 6 (unknown origin) <--
> libgcc_s.so.1 must be installed for pthread_cancel to work
> Aborted
>
> adding this library (and full libc) to the chroot prevents the crash.

Given that this is not really a problem in directfb, and was agreed
the proper fix would be to ship libgcc in a new udeb post-etch, I'm
closing this bug now.

thanks,
guillem




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jérôme Marant <jerome@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Verand <verand@poczta.fm>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package libdirectfb-0.9-25-udeb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #147 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: control@bugs.debian.org
Cc: 373253@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#373253: Cause of g-i crashing on AMD64 at VT switch found
Date: Wed, 12 Dec 2007 10:13:46 +0100
retitle 373253 "g-i requires libgcc_s.so.1 on AMD64 and PowerPC"
thanks

> Given that this is not really a problem in directfb, and was agreed
> the proper fix would be to ship libgcc in a new udeb post-etch, I'm
> closing this bug now.

I agree, btw i recently noticed that also the PowerPC g-i builds need 
the libgcc_s.so.1 file to be pulled in (this requires a patch to the 
relevant configuration powerpc files in the installer), so i'm retitling 
this BR accordingly for future reference.

sincerely

Attilio




Changed Bug title to `"g-i requires libgcc_s.so.1 on AMD64 and PowerPC"' from `[g-i] crash if switch to VT2 on AMD64'. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Wed, 12 Dec 2007 09:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#373253; Package libdirectfb-0.9-25-udeb. Full text and rfc822 format available.

Acknowledgement sent to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #154 received at 373253@bugs.debian.org (full text, mbox):

From: Attilio Fiandrotti <attilio.fiandrotti@gmail.com>
To: control@bugs.debian.org
Cc: 373253@bugs.debian.org
Subject: Re: Bug#373253: Cause of g-i crashing on AMD64 at VT switch found
Date: Thu, 13 Dec 2007 12:26:06 +0100
reassign 373253 debian-installer
reopen 373253
retitle 373253 "g-i requires libgcc_s.so.1 on AMD64 and PowerPC to be 
provided by an audeb"
tags 373253 patch
thanks

I'm reassigning this bug to debian-installer because it's a d-i building 
problem.
I'm reopening the bug for two reasons:

1) libgcc_s.so.1 is provided via EXTRAFILES on AMD64.
2) libgcc_s.so.1 is not provided at all on PowerPC

With respect to sole point 2, here is a patch (hence the bug tagging) 
which adds proper EXTRAFILES lines to the two powerpc32/64 configuration 
files i think need it (build/config/powerpc/powerpc/netboot-gtk.cfg and 
build/config/powerpc/powerpc64/netboot-gtk.cfg)
I'm not sure those files are the only which need a similar patch, please 
someone apply similar patches wherever it's needed.

Once something similar to the attached patch is applied, the bug should 
be untagged and left open to remind us that the EXTRAFILES trick should 
be avoided and an ad hoc udeb created, as lsted among the Lenny goals [1].

sincerely

Attilio

[1] http://wiki.debian.org/DebianInstaller/LennyGoals




Bug reassigned from package `libdirectfb-0.9-25-udeb' to `debian-installer'. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Thu, 13 Dec 2007 11:36:53 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Thu, 13 Dec 2007 11:36:58 GMT) Full text and rfc822 format available.

Changed Bug title to `"g-i requires libgcc_s.so.1 on AMD64 and PowerPC to be' from `"g-i requires libgcc_s.so.1 on AMD64 and PowerPC"'. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Thu, 13 Dec 2007 11:37:01 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Thu, 13 Dec 2007 11:37:02 GMT) Full text and rfc822 format available.

Changed Bug title to `"libgcc_s.so.1 on AMD64 and PowerPC should be provided' from `"g-i requires libgcc_s.so.1 on AMD64 and PowerPC to be'. Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Sat, 22 Dec 2007 09:42:06 GMT) Full text and rfc822 format available.

Disconnected #399837 from all other report(s). Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Sat, 22 Dec 2007 09:42:07 GMT) Full text and rfc822 format available.

Disconnected #396520 from all other report(s). Request was from Attilio Fiandrotti <attilio.fiandrotti@gmail.com> to control@bugs.debian.org. (Sat, 22 Dec 2007 09:42:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 373253: 567182 Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Jan 2010 12:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#373253; Package debian-installer. (Wed, 24 Mar 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 24 Mar 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #175 received at 373253@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 373253@bugs.debian.org, Debian BTS Control <control@bugs.debian.org>
Subject: #373253 "libgcc_s.so.1 on AMD64 and PowerPC should be provided
Date: Wed, 24 Mar 2010 17:31:38 +0100
tags 373253 wontfix
thanks

Because of the switch from DirectFB to X.Org as backend for the graphical 
installer I don't think this issue is relevant anymore.

But I'm keeping the BR open for now for reference.




Added tag(s) wontfix. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 24 Mar 2010 16:33:04 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Fri, 10 Sep 2010 17:51:15 GMT) Full text and rfc822 format available.

Notification sent to Davide Viti <zinosat@tiscali.it>:
Bug acknowledged by developer. (Fri, 10 Sep 2010 17:51:15 GMT) Full text and rfc822 format available.

Message #182 received at 373253-done@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 373253-done@bugs.debian.org
Subject: Closing oldbug report against debian-installer #373253
Date: Fri, 10 Sep 2010 17:49:11 +0000
We are closing this bug report against debian-installer 
for one of the following reasons:
- it was reported with a pre-lenny version of Debian
  Installer.
- indications in the bug report give the feeling that
  the reported problem was lying in another software, unrelated to
  D-I, which we can't easily identify.
- indications in the installation report suggest that it may have been
  fixed in a more recent version of a D-I component
- it was successful and we forgot closing it..:-)
- it has no information we consider useful


The D-I team is currently in the process of cleaning out the old spool
of installation reports that haven't bene processed yet. 

In case you think that the problem you reported has chances to be
still present, please reiterate your installation test with
a more recent image of D-I, if you're in position of doing this.

You'll find daily builds at
http://www.debian.org/devel/debian-installer. We recommend you choose
the netboot image, in the "daily builds section", then choose to
install "squeeze" when prompted.

If some problems are found, please report them with a new bug sent
against installation-reports.

Many thanks for your understanding and your help improving Debian,
past and present.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Oct 2010 07:35:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:29:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.